# Class TagPluginManager

java.lang.Object
org.apache.jasper.compiler.TagPluginManager

public class TagPluginManager extends Object
Manages tag plugin optimizations.

## Constructor Summary

Constructors
Constructor
Description
`TagPluginManager(ServletContext ctxt)`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Node.Nodes page, ErrorDispatcher err, PageInfo pageInfo)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TagPluginManager

public TagPluginManager(ServletContext ctxt)

## Method Details

### apply

public void apply(Node.Nodes page, ErrorDispatcher err, PageInfo pageInfo) throws JasperException

Throws:
  `JasperException`